Get Review Resource by Partner ID
API Description
Get information about a specific review resource, including resource state. Supply the unique identifier assigned by a partner to their review, and the service will return the corresponding resource.
Request
URI Parameters
| Name | Input |
|---|---|
orgId | |
locationId | |
partnersReviewId |
Path Template
GET {url}/api/{version}/orgs/{orgId}/locations/{locationId}/reviews/by-partner-reviewId/{partnersReviewId}
Path Example
GET {url}/api/v1/orgs/9467895078742654934/locations/9467895078742654976/reviews/by-partner-reviewId/857127252
Request Headers
| Name | Input |
|---|---|
Authorization | |
Accept |
Example Request Headers
Authorization: Bearer <access_token>
Accept: application/json
Request Body
None
Response
200 OK or Error
Response Headers
| Name |
|---|
apple-request-id |
content-type |
etag |
Example Response Headers
HTTP/1.1 200 OK
apple-request-id: 343deff4-b610-4a5f-9d0c-159d702a5ddf
content-type: application/json
etag: "967687a2-a3e5-11ed-a8fc-0242ac120002"
Response Body
| Name | Output |
|---|---|
$.orgId | |
$.locationId | |
$.id | |
$.createdDate | |
$.updatedDate | |
$.state | |
$.etag | |
$.reviewDetails | |
$.metadata[] |
Example Response Body (raw JSON)
{
"orgId": "9467895078742654934",
"locationId": "9467895078742654976",
"id": "9467895078742654975",
"createdDate": "2026-10-02T11:41:00Z",
"updatedDate": "2026-10-03T17:04:00Z",
"state": "SUBMITTED",
"etag": "967687a2-a3e5-11ed-a8fc-0242ac120002",
"reviewDetails": {
"partnersReviewId": "857127252",
"dateAdded": "2026-09-01T20:06:00Z",
"type": "USER",
"review": {
"author": {
"givenName": "Robert",
"lastInitial": "S.",
"imageUrl": "http://goodpartner.com/media/images/author_profile_pic/user_id=43767642526I/default-avatar.jpg"
},
"name": "Excellent Location",
"reviewBody": "Warm, friendly and entirely accommodating to all our needs.",
"locale": "en",
"starRatings": [
{
"category": "OVERALL",
"ratingValue": 4,
"bestRating": 5
}
],
"interactionStatistics": [
{
"interactionType": "HELPFUL",
"userInteractionCount": 25
}
]
}
},
"metadata": []
}